<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD"
      crossorigin="anonymous"
    />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css"
    />

    <title>Step Project "Cards"</title>
  </head>

  <body>
    <!-- NAV -->
    <nav class="navbar bg-body-tertiary">
      <div class="container">
        <a class="navbar-brand" href="#">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            width="26"
            height="26"
            fill="crimson"
            class="bi bi-hospital"
            viewBox="0 0 16 16"
          >
            <path
              d="M8.5 5.034v1.1l.953-.55.5.867L9 7l.953.55-.5.866-.953-.55v1.1h-1v-1.1l-.953.55-.5-.866L7 7l-.953-.55.5-.866.953.55v-1.1h1ZM13.25 9a.25.25 0 0 0-.25.25v.5c0 .138.112.25.25.25h.5a.25.25 0 0 0 .25-.25v-.5a.25.25 0 0 0-.25-.25h-.5ZM13 11.25a.25.25 0 0 1 .25-.25h.5a.25.25 0 0 1 .25.25v.5a.25.25 0 0 1-.25.25h-.5a.25.25 0 0 1-.25-.25v-.5Zm.25 1.75a.25.25 0 0 0-.25.25v.5c0 .138.112.25.25.25h.5a.25.25 0 0 0 .25-.25v-.5a.25.25 0 0 0-.25-.25h-.5Zm-11-4a.25.25 0 0 0-.25.25v.5c0 .138.112.25.25.25h.5A.25.25 0 0 0 3 9.75v-.5A.25.25 0 0 0 2.75 9h-.5Zm0 2a.25.25 0 0 0-.25.25v.5c0 .138.112.25.25.25h.5a.25.25 0 0 0 .25-.25v-.5a.25.25 0 0 0-.25-.25h-.5ZM2 13.25a.25.25 0 0 1 .25-.25h.5a.25.25 0 0 1 .25.25v.5a.25.25 0 0 1-.25.25h-.5a.25.25 0 0 1-.25-.25v-.5Z"
            />
            <path
              d="M5 1a1 1 0 0 1 1-1h4a1 1 0 0 1 1 1v1a1 1 0 0 1 1 1v4h3a1 1 0 0 1 1 1v7a1 1 0 0 1-1 1H1a1 1 0 0 1-1-1V8a1 1 0 0 1 1-1h3V3a1 1 0 0 1 1-1V1Zm2 14h2v-3H7v3Zm3 0h1V3H5v12h1v-3a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1v3Zm0-14H6v1h4V1Zm2 7v7h3V8h-3Zm-8 7V8H1v7h3Z"
            />
          </svg>
          HOSPITAL
        </a>
        <button
          class="btn btn-outline-success btn-sm"
          type="button"
          id="login"
          data-bs-toggle="modal"
          data-bs-target="#modalSignin"
        >
          LOG IN
        </button>

        <button
          class="btn btn-warning btn-sm"
          type="button"
          id="btn-create"
          style="display: none"
        >
          Create visit
        </button>
      </div>
    </nav>

    <!-- MODAL LOG IN -->
    <div
      class="modal fade modal-signin py-5"
      tabindex="-1"
      role="dialog"
      id="modalSignin"
    >
      <div class="modal-dialog">
        <div class="modal-content rounded-4 shadow">
          <div class="modal-header p-5 pb-4 border-bottom-0">
            <h1 class="fw-bold mb-0 fs-4">Please enter email and password</h1>
            <button
              type="button"
              class="btn-close"
              data-bs-dismiss="modal"
              aria-label="Close"
              id="login-modal-close"
            ></button>
          </div>

          <div class="modal-body p-5 pt-0">
            <form class="" id="modalLogin" method="post">
              <div class="form-floating mb-3">
                <input
                  type="email"
                  class="form-control rounded-3"
                  id="floatingInput"
                  placeholder="name@example.com"
                />
                <label for="floatingInput">Email address</label>
              </div>
              <div class="form-floating mb-3">
                <input
                  type="password"
                  class="form-control rounded-3"
                  id="floatingPassword"
                  placeholder="Password"
                />
                <label for="floatingPassword">Password</label>
              </div>
              <button
                class="w-100 mb-2 btn btn-lg rounded-3 btn-primary"
                type="submit"
              >
                LOG IN
              </button>
              <small class="text-muted"
                >By clicking LOG IN, you agree to the terms of use.</small
              >
            </form>
          </div>
        </div>
      </div>
    </div>

    <!-- SEARCH -->
    <div class="container p-0">
      <div class="row p-2 m-3 shadow bg-body-tertiary rounded">
        <div class="col">
          <input
            type="text"
            class="form-control"
            placeholder="Search by name"
            aria-label="First name"
            id="search"
          />
        </div>

        <div class="col-4">
          <select
            class="form-select form-select-sm"
            aria-label=".form-select-sm example"
            id="status-container"
          >
            <option value="" selected>Select status</option>
            <option value="Open">Open</option>
            <option value="Done">Done</option>
          </select>
        </div>
        <div class="col-4">
          <select
            class="form-select form-select-sm"
            aria-label=".form-select-sm example"
            id="urgency-container"
          >
            <option value="" selected>Urgency of the visit</option>
            <option value="high">High</option>
            <option value="middle">Middle</option>
            <option value="low">Low</option>
          </select>
        </div>
      </div>
    </div>

    <!-- NO ITEMS BLOCK -->
    <div
      class="noitems container bg-primary-subtle shadow p-3 mb-5 bg-white rounded"
      style="display: none"
    >
      No items have been added
    </div>

    <!-- CARDS -->
    <div class="container" id="card-container">
      <div class="row cardsWrapper" id="card-row">

      </div>
    </div>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN"
      crossorigin="anonymous"
    ></script>
    <script src="./js/main.js" type="module"></script>
  </body>
</html>
